SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.2 2003/05/04 03:13:03 babolo Exp $

JNTROSTUP(xfs,,xfs-ttdnl
,dnl
# jailup ${inclass} dir jailname jailaddr [uid [gid [port]]]
#     where dir relative to ${jailupdir} and ${jailrodir}
#     uid, gid and port are 7102 by default
# installed ports/x11-servers/Xfstt useddnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
juid="${4-7102}"
jgid="${5-7102}"
port="${6:-7102}"
main_dir="${JAILUPDIR}/${jdir}"

${mkdir} "${main_dir}"
${up_mdir} "${main_dir}" ${MTREE}
echo "localtime" | ${up_data} "${main_dir}/etc/" /etc/
${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c m stdc++
EOF

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
    xfstt
EOF

${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${chown} ${juid} "${main_dir}/tmp"

${cat} << EOF >> "${genconfig}"
#${genclass}	${inclass}	${jdir}	${jailsname}	${jailsaddr}	0	${juid}	${jgid}	${port}
EOF

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
# chuse one only :-(
#/usr/X11R6/lib/X11/fonts/TrueType	${main_dir}/fonts	null	ro,nodev,noexec	0 0
#/usr/local/share/fonts/TrueType	${main_dir}/fonts	null	ro,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
